The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 4FE13824E3FFC656

Hello I did install the Brave Browser in my Lubuntu distro.
But when I try to update my console get this message…

Description of the issue:
Hello I did install the Brave Browser in my Lubuntu distro.
But when I try to update my console get an ERROR message

Steps to Reproduce (add as many as necessary): 1. 2. 3.

sudo apt update

Actual Result (gifs and screenshots are welcome!):

Additional Information:

Seems like that the system is missing the key that Brave uses to sign releases.
Try this:

curl -s https://brave-browser-apt-release.s3.brave.com/brave-core.asc | sudo apt-key --keyring /etc/apt/trusted.gpg.d/brave-browser-release.gpg add -

I did but still i have the same error when I do the Update